using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IRoomTypeSceneRepository : IRepository<RoomTypeScene>
	{
        IQueryable<RoomTypeScene> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

        IQueryable<RoomTypeScene> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID, int roomTypeId);

        RoomTypeScene Get(int roomTypeID, string groupAddress);

        IList<RoomTypeScene> LoadAll(RoomType roomType);
	}
}
